For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
  • EOR Worker Endpoints
      • POSTChange EOR Mailbox Password
LogoLogo
SupportDeel Home
EOR Worker EndpointsEOR Worker Mailboxes

Change EOR Mailbox Password

POST
/eor/mailboxes/change-password
POST
/rest/v2/eor/mailboxes/change-password
$curl -X POST https://api.letsdeel.com/rest/v2/eor/mailboxes/change-password \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "password": "Str0ngP@ssw0rd2024!"
> }
> }
>}'
1{}

Changes the mailbox password for an EOR worker. Token scopes: worker:write

Was this page helpful?
Previous

Preview Resignation Letter

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

The new password to be set
dataobjectRequired

Response

Successful operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/